Subject: Re: [RFC/PATCH 5/14] powerpc: Fix 440/440A machine check handling

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 29 Nov 2007 08:52:39 +1100

On Wed, 2007-11-28 at 15:34 -0600, Olof Johansson wrote:
> On Thu, Nov 22, 2007 at 07:05:25AM +1100, Benjamin Herrenschmidt
> wrote:
> > 
> > On Wed, 2007-11-21 at 13:51 -0600, Josh Boyer wrote:
> > > > Hrm... it's per processor, not per board. I didn't feel like
> digging
> > > > which board uses which processor and go fixup all the ppc_md's
> > > 
> > > Sounds like something a generic function could probe for from the
> DTS.
> > > I'll look at doing something here when I start making 44x
> > > multiplatform
> > > (soon).
> > 
> > Well... we already probe the CPU type.... from cputable.
> > 
> > So if there was a place to put that, it would be the cputable.
> 
> It could make sense to have _both_ platform (ppc_md) and cputable
> functions, since some info is likely to be core-specific, other might
> be board/chipset/SoC-specific.

Yup. I need to look into it. We would call ppc_md. first and define
3 result codes: one for faulting, one for returning (fixed up) and one
for passing along (to the per-cpu code).

In fact, in theory we would need to also handle L1 parity errors on 970
now that I think of it...

Ben.